Module java.base
Package java.nio.charset

## Class MalformedInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.charset.CharacterCodingException
        - - java.nio.charset.MalformedInputException

- All Implemented Interfaces:
    `Serializable`

      public class MalformedInputException
      extends CharacterCodingException

  Checked exception thrown when an input byte sequence is not legal for given charset, or an input character sequence is not a legal sixteen-bit Unicode sequence.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MalformedInputException​(int inputLength)` | Constructs an `MalformedInputException` with the given length.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getInputLength​()` | Returns the length of the input.
    `String` | `getMessage​()` | Returns the message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### MalformedInputException

          public MalformedInputException​(int inputLength)

      Constructs an `MalformedInputException` with the given length.
      Parameters:
        `inputLength` - the length of the input

  - ### Method Detail

    - #### getInputLength

          public int getInputLength​()

      Returns the length of the input.
      Returns:
        the length of the input

    - #### getMessage

          public String getMessage​()

      Returns the message.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the message